diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ue-mac.cc ns-3.44/src/lte/model/lte-ue-mac.cc
--- ns-3.43/src/lte/model/lte-ue-mac.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-ue-mac.cc	2025-03-09 16:55:49.603371900 -0700
@@ -14,12 +14,12 @@
 #include "lte-control-messages.h"
 #include "lte-radio-bearer-tag.h"
 
-#include <ns3/log.h>
-#include <ns3/packet-burst.h>
-#include <ns3/packet.h>
-#include <ns3/pointer.h>
-#include <ns3/random-variable-stream.h>
-#include <ns3/simulator.h>
+#include "ns3/log.h"
+#include "ns3/packet-burst.h"
+#include "ns3/packet.h"
+#include "ns3/pointer.h"
+#include "ns3/random-variable-stream.h"
+#include "ns3/simulator.h"
 
 namespace ns3
 {
@@ -39,7 +39,7 @@
     /**
      * Constructor
      *
-     * \param mac the UE MAC
+     * @param mac the UE MAC
      */
     UeMemberLteUeCmacSapProvider(LteUeMac* mac);
 
@@ -130,7 +130,7 @@
     /**
      * Constructor
      *
-     * \param mac the UE MAC
+     * @param mac the UE MAC
      */
     UeMemberLteMacSapProvider(LteUeMac* mac);
 
@@ -168,7 +168,7 @@
     /**
      * Constructor
      *
-     * \param mac the UE MAC
+     * @param mac the UE MAC
      */
     UeMemberLteUePhySapUser(LteUeMac* mac);
 
@@ -227,7 +227,7 @@
 
 LteUeMac::LteUeMac()
     : m_bsrPeriodicity(MilliSeconds(1)), // ideal behavior
-      m_bsrLast(MilliSeconds(0)),
+      m_bsrLast(),
       m_freshUlBsr(false),
       m_harqProcessId(0),
       m_rnti(0),
@@ -854,7 +854,7 @@
                     if (it->rapId == m_raPreambleId) // RAR is for me
                     {
                         RecvRaResponse(it->rarPayload);
-                        /// \todo RRC generates the RecvRaResponse messaged
+                        /// @todo RRC generates the RecvRaResponse messaged
                         /// for avoiding holes in transmission at PHY layer
                         /// (which produce erroneous UL CQI evaluation)
                     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ue-mac.h ns-3.44/src/lte/model/lte-ue-mac.h
--- ns-3.43/src/lte/model/lte-ue-mac.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-ue-mac.h	2025-03-09 16:55:49.603371900 -0700
@@ -15,11 +15,11 @@
 #include "lte-ue-cmac-sap.h"
 #include "lte-ue-phy-sap.h"
 
-#include <ns3/event-id.h>
-#include <ns3/nstime.h>
-#include <ns3/packet-burst.h>
-#include <ns3/packet.h>
-#include <ns3/traced-callback.h>
+#include "ns3/event-id.h"
+#include "ns3/nstime.h"
+#include "ns3/packet-burst.h"
+#include "ns3/packet.h"
+#include "ns3/traced-callback.h"
 
 #include <map>
 #include <vector>
@@ -40,8 +40,8 @@
 
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -50,14 +50,14 @@
     void DoDispose() override;
 
     /**
-     * \brief TracedCallback signature for RA response timeout events
+     * @brief TracedCallback signature for RA response timeout events
      * exporting IMSI, contention flag, preamble transmission counter
      * and the max limit of preamble transmission
      *
-     * \param [in] imsi
-     * \param [in] contention
-     * \param [in] preambleTxCounter
-     * \param [in] maxPreambleTxLimit
+     * @param [in] imsi
+     * @param [in] contention
+     * @param [in] preambleTxCounter
+     * @param [in] maxPreambleTxLimit
      */
     typedef void (*RaResponseTimeoutTracedCallback)(uint64_t imsi,
                                                     bool contention,
@@ -65,44 +65,44 @@
                                                     uint8_t maxPreambleTxLimit);
 
     /**
-     * \brief Get the LTE MAC SAP provider
-     * \return a pointer to the LTE MAC SAP provider
+     * @brief Get the LTE MAC SAP provider
+     * @return a pointer to the LTE MAC SAP provider
      */
     LteMacSapProvider* GetLteMacSapProvider();
     /**
-     * \brief Set the LTE UE CMAC SAP user
-     * \param s the LTE UE CMAC SAP User
+     * @brief Set the LTE UE CMAC SAP user
+     * @param s the LTE UE CMAC SAP User
      */
     void SetLteUeCmacSapUser(LteUeCmacSapUser* s);
     /**
-     * \brief Get the LTE CMAC SAP provider
-     * \return a pointer to the LTE CMAC SAP provider
+     * @brief Get the LTE CMAC SAP provider
+     * @return a pointer to the LTE CMAC SAP provider
      */
     LteUeCmacSapProvider* GetLteUeCmacSapProvider();
 
     /**
-     * \brief Set the component carried ID
-     * \param index the component carrier ID
+     * @brief Set the component carried ID
+     * @param index the component carrier ID
      */
     void SetComponentCarrierId(uint8_t index);
 
     /**
-     * \brief Get the PHY SAP user
-     * \return a pointer to the SAP user of the PHY
+     * @brief Get the PHY SAP user
+     * @return a pointer to the SAP user of the PHY
      */
     LteUePhySapUser* GetLteUePhySapUser();
 
     /**
-     * \brief Set the PHY SAP Provider
-     * \param s a pointer to the PHY SAP Provider
+     * @brief Set the PHY SAP Provider
+     * @param s a pointer to the PHY SAP Provider
      */
     void SetLteUePhySapProvider(LteUePhySapProvider* s);
 
     /**
-     * \brief Forwarded from LteUePhySapUser: trigger the start from a new frame
+     * @brief Forwarded from LteUePhySapUser: trigger the start from a new frame
      *
-     * \param frameNo frame number
-     * \param subframeNo subframe number
+     * @param frameNo frame number
+     * @param subframeNo subframe number
      */
     void DoSubframeIndication(uint32_t frameNo, uint32_t subframeNo);
 
@@ -111,8 +111,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -121,13 +121,13 @@
     /**
      * Transmit PDU function
      *
-     * \param params LteMacSapProvider::TransmitPduParameters
+     * @param params LteMacSapProvider::TransmitPduParameters
      */
     void DoTransmitPdu(LteMacSapProvider::TransmitPduParameters params);
     /**
      * Report buffers status function
      *
-     * \param params LteMacSapProvider::ReportBufferStatusParameters
+     * @param params LteMacSapProvider::ReportBufferStatusParameters
      */
     void DoReportBufferStatus(LteMacSapProvider::ReportBufferStatusParameters params);
 
@@ -135,7 +135,7 @@
     /**
      * Configure RACH function
      *
-     * \param rc LteUeCmacSapProvider::RachConfig
+     * @param rc LteUeCmacSapProvider::RachConfig
      */
     void DoConfigureRach(LteUeCmacSapProvider::RachConfig rc);
     /**
@@ -145,15 +145,15 @@
     /**
      * Set RNTI
      *
-     * \param rnti the RNTI
+     * @param rnti the RNTI
      */
     void DoSetRnti(uint16_t rnti);
     /**
      * Start non contention based random access procedure function
      *
-     * \param rnti the RNTI
-     * \param rapId the RAPID
-     * \param prachMask the PRACH mask
+     * @param rnti the RNTI
+     * @param rapId the RAPID
+     * @param prachMask the PRACH mask
      */
     void DoStartNonContentionBasedRandomAccessProcedure(uint16_t rnti,
                                                         uint8_t rapId,
@@ -161,9 +161,9 @@
     /**
      * Add LC function
      *
-     * \param lcId the LCID
-     * \param lcConfig the logical channel config
-     * \param msu the MSU
+     * @param lcId the LCID
+     * @param lcConfig the logical channel config
+     * @param msu the MSU
      */
     void DoAddLc(uint8_t lcId,
                  LteUeCmacSapProvider::LogicalChannelConfig lcConfig,
@@ -171,22 +171,22 @@
     /**
      * Remove LC function
      *
-     * \param lcId the LCID
+     * @param lcId the LCID
      */
     void DoRemoveLc(uint8_t lcId);
     /**
-     * \brief Reset function
+     * @brief Reset function
      */
     void DoReset();
     /**
-     * \brief Notify MAC about the successful RRC connection
+     * @brief Notify MAC about the successful RRC connection
      * establishment.
      */
     void DoNotifyConnectionSuccessful();
     /**
      * Set IMSI
      *
-     * \param imsi the IMSI of the UE
+     * @param imsi the IMSI of the UE
      */
     void DoSetImsi(uint64_t imsi);
 
@@ -194,13 +194,13 @@
     /**
      * Receive Phy PDU function
      *
-     * \param p the packet
+     * @param p the packet
      */
     void DoReceivePhyPdu(Ptr<Packet> p);
     /**
      * Receive LTE control message function
      *
-     * \param msg the LTE control message
+     * @param msg the LTE control message
      */
     void DoReceiveLteControlMessage(Ptr<LteControlMessage> msg);
 
@@ -210,7 +210,7 @@
     /**
      * Send RA preamble function
      *
-     * \param contention if true randomly select and send the RA preamble
+     * @param contention if true randomly select and send the RA preamble
      */
     void SendRaPreamble(bool contention);
     /// Start waiting for RA response function
@@ -218,13 +218,13 @@
     /**
      * Receive the RA response function
      *
-     * \param raResponse RA response received
+     * @param raResponse RA response received
      */
     void RecvRaResponse(BuildRarListElement_s raResponse);
     /**
      * RA response timeout function
      *
-     * \param contention if true randomly select and send the RA preamble
+     * @param contention if true randomly select and send the RA preamble
      */
     void RaResponseTimeout(bool contention);
     /// Send report buffer status
@@ -283,7 +283,7 @@
     bool m_waitingForRaResponse; ///< waiting for RA response
 
     /**
-     * \brief The `RaResponseTimeout` trace source. Fired RA response timeout.
+     * @brief The `RaResponseTimeout` trace source. Fired RA response timeout.
      * Exporting IMSI, contention flag, preamble transmission counter
      * and the max limit of preamble transmission.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ue-net-device.cc ns-3.44/src/lte/model/lte-ue-net-device.cc
--- ns-3.43/src/lte/model/lte-ue-net-device.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-ue-net-device.cc	2025-03-09 16:55:49.603371900 -0700
@@ -24,22 +24,22 @@
 #include "ns3/callback.h"
 #include "ns3/enum.h"
 #include "ns3/ipv4-header.h"
+#include "ns3/ipv4-l3-protocol.h"
 #include "ns3/ipv4.h"
 #include "ns3/ipv6-header.h"
+#include "ns3/ipv6-l3-protocol.h"
 #include "ns3/ipv6.h"
 #include "ns3/llc-snap-header.h"
+#include "ns3/log.h"
 #include "ns3/node.h"
+#include "ns3/object-factory.h"
+#include "ns3/object-map.h"
 #include "ns3/packet-burst.h"
 #include "ns3/packet.h"
 #include "ns3/pointer.h"
 #include "ns3/simulator.h"
 #include "ns3/trace-source-accessor.h"
 #include "ns3/uinteger.h"
-#include <ns3/ipv4-l3-protocol.h>
-#include <ns3/ipv6-l3-protocol.h>
-#include <ns3/log.h>
-#include <ns3/object-factory.h>
-#include <ns3/object-map.h>
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ue-net-device.h ns-3.44/src/lte/model/lte-ue-net-device.h
--- ns-3.43/src/lte/model/lte-ue-net-device.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-ue-net-device.h	2025-03-09 16:55:49.603371900 -0700
@@ -39,15 +39,15 @@
 class LteUeComponentCarrierManager;
 
 /**
- * \ingroup lte
+ * @ingroup lte
  * The LteUeNetDevice class implements the UE net device
  */
 class LteUeNetDevice : public LteNetDevice
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -59,43 +59,43 @@
     bool Send(Ptr<Packet> packet, const Address& dest, uint16_t protocolNumber) override;
 
     /**
-     * \brief Get the MAC.
-     * \return the LTE UE MAC
+     * @brief Get the MAC.
+     * @return the LTE UE MAC
      */
     Ptr<LteUeMac> GetMac() const;
 
     /**
-     * \brief Get the RRC.
-     * \return the LTE UE RRC
+     * @brief Get the RRC.
+     * @return the LTE UE RRC
      */
     Ptr<LteUeRrc> GetRrc() const;
 
     /**
-     * \brief Get the Phy.
-     * \return the LTE UE Phy
+     * @brief Get the Phy.
+     * @return the LTE UE Phy
      */
     Ptr<LteUePhy> GetPhy() const;
 
     /**
-     * \brief Get the NAS.
-     * \return the LTE UE NAS
+     * @brief Get the NAS.
+     * @return the LTE UE NAS
      */
     Ptr<EpcUeNas> GetNas() const;
 
     /**
-     * \brief Get the componentn carrier manager.
-     * \return the LTE UE component carrier manager
+     * @brief Get the componentn carrier manager.
+     * @return the LTE UE component carrier manager
      */
     Ptr<LteUeComponentCarrierManager> GetComponentCarrierManager() const;
 
     /**
-     * \brief Get the IMSI.
-     * \return the IMSI
+     * @brief Get the IMSI.
+     * @return the IMSI
      */
     uint64_t GetImsi() const;
 
     /**
-     * \return the downlink carrier frequency (EARFCN)
+     * @return the downlink carrier frequency (EARFCN)
      *
      * Note that real-life handset typically supports more than one EARFCN, but
      * the sake of simplicity we assume only one EARFCN is supported.
@@ -103,7 +103,7 @@
     uint32_t GetDlEarfcn() const;
 
     /**
-     * \param earfcn the downlink carrier frequency (EARFCN)
+     * @param earfcn the downlink carrier frequency (EARFCN)
      *
      * Note that real-life handset typically supports more than one EARFCN, but
      * the sake of simplicity we assume only one EARFCN is supported.
@@ -111,45 +111,45 @@
     void SetDlEarfcn(uint32_t earfcn);
 
     /**
-     * \brief Returns the CSG ID the UE is currently a member of.
-     * \return the Closed Subscriber Group identity
+     * @brief Returns the CSG ID the UE is currently a member of.
+     * @return the Closed Subscriber Group identity
      */
     uint32_t GetCsgId() const;
 
     /**
-     * \brief Enlist the UE device as a member of a particular CSG.
-     * \param csgId the intended Closed Subscriber Group identity
+     * @brief Enlist the UE device as a member of a particular CSG.
+     * @param csgId the intended Closed Subscriber Group identity
      *
      * UE is associated with a single CSG identity, and thus becoming a member of
      * this particular CSG. As a result, the UE may gain access to cells which
      * belong to this CSG. This does not revoke the UE's access to non-CSG cells.
      *
-     * \note This restriction only applies to initial cell selection and
+     * @note This restriction only applies to initial cell selection and
      *       EPC-enabled simulation.
      */
     void SetCsgId(uint32_t csgId);
 
     /**
-     * \brief Set the target eNB where the UE is registered
-     * \param enb
+     * @brief Set the target eNB where the UE is registered
+     * @param enb
      */
     void SetTargetEnb(Ptr<LteEnbNetDevice> enb);
 
     /**
-     * \brief Get the target eNB where the UE is registered
-     * \return the pointer to the enb
+     * @brief Get the target eNB where the UE is registered
+     * @return the pointer to the enb
      */
     Ptr<LteEnbNetDevice> GetTargetEnb();
 
     /**
-     * \brief Set the ComponentCarrier Map for the UE
-     * \param ccm the map of ComponentCarrierUe
+     * @brief Set the ComponentCarrier Map for the UE
+     * @param ccm the map of ComponentCarrierUe
      */
     void SetCcMap(std::map<uint8_t, Ptr<ComponentCarrierUe>> ccm);
 
     /**
-     * \brief Get the ComponentCarrier Map for the UE
-     * \returns the map of ComponentCarrierUe
+     * @brief Get the ComponentCarrier Map for the UE
+     * @returns the map of ComponentCarrierUe
      */
     std::map<uint8_t, Ptr<ComponentCarrierUe>> GetCcMap();
 
@@ -161,7 +161,7 @@
     bool m_isConstructed; ///< is constructed?
 
     /**
-     * \brief Propagate attributes and configuration to sub-modules.
+     * @brief Propagate attributes and configuration to sub-modules.
      *
      * Several attributes (e.g., the IMSI) are exported as the attributes of the
      * LteUeNetDevice from a user perspective, but are actually used also in other
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ue-phy.cc ns-3.44/src/lte/model/lte-ue-phy.cc
--- ns-3.43/src/lte/model/lte-ue-phy.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-ue-phy.cc	2025-03-09 16:55:49.607372000 -0700
@@ -21,13 +21,13 @@
 #include "lte-ue-net-device.h"
 #include "lte-ue-power-control.h"
 
-#include <ns3/boolean.h>
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/node.h>
-#include <ns3/object-factory.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
+#include "ns3/boolean.h"
+#include "ns3/double.h"
+#include "ns3/log.h"
+#include "ns3/node.h"
+#include "ns3/object-factory.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
 
 #include <cfloat>
 #include <cmath>
@@ -64,7 +64,7 @@
     /**
      * Constructor
      *
-     * \param phy the LTE UE Phy
+     * @param phy the LTE UE Phy
      */
     UeMemberLteUePhySapProvider(LteUePhy* phy);
 
@@ -111,22 +111,6 @@
 // LteUePhy methods
 ////////////////////////////////////////
 
-/// Map each of UE PHY states to its string representation.
-static const std::string g_uePhyStateName[LteUePhy::NUM_STATES] = {
-    "CELL_SEARCH",
-    "SYNCHRONIZED",
-};
-
-/**
- * \param s The UE PHY state.
- * \return The string representation of the given state.
- */
-static inline const std::string&
-ToString(LteUePhy::State s)
-{
-    return g_uePhyStateName[s];
-}
-
 NS_OBJECT_ENSURE_REGISTERED(LteUePhy);
 
 LteUePhy::LteUePhy()
@@ -146,7 +130,7 @@
       m_dataInterferencePowerUpdated(false),
       m_pssReceived(false),
       m_ueMeasurementsFilterPeriod(MilliSeconds(200)),
-      m_ueMeasurementsFilterLast(MilliSeconds(0)),
+      m_ueMeasurementsFilterLast(),
       m_rsrpSinrSampleCounter(0),
       m_imsi(0)
 {
@@ -630,58 +614,59 @@
         m_rsrpSinrSampleCounter = 0;
     }
 
-    if (m_pssReceived)
+    if (!m_pssReceived)
     {
-        // measure instantaneous RSRQ now
-        NS_ASSERT_MSG(m_rsInterferencePowerUpdated, " RS interference power info obsolete");
+        return;
+    }
 
-        auto itPss = m_pssList.begin();
-        while (itPss != m_pssList.end())
-        {
-            uint16_t rbNum = 0;
-            double rssiSum = 0.0;
+    // measure instantaneous RSRQ now
+    NS_ASSERT_MSG(m_rsInterferencePowerUpdated, " RS interference power info obsolete");
 
-            auto itIntN = m_rsInterferencePower.ConstValuesBegin();
-            auto itPj = m_rsReceivedPower.ConstValuesBegin();
-            for (itPj = m_rsReceivedPower.ConstValuesBegin();
-                 itPj != m_rsReceivedPower.ConstValuesEnd();
-                 itIntN++, itPj++)
+    auto itPss = m_pssList.begin();
+    while (itPss != m_pssList.end())
+    {
+        uint16_t rbNum = 0;
+        double rssiSum = 0.0;
+
+        auto itIntN = m_rsInterferencePower.ConstValuesBegin();
+        auto itPj = m_rsReceivedPower.ConstValuesBegin();
+        for (itPj = m_rsReceivedPower.ConstValuesBegin();
+             itPj != m_rsReceivedPower.ConstValuesEnd();
+             itIntN++, itPj++)
+        {
+            rbNum++;
+            // convert PSD [W/Hz] to linear power [W] for the single RE
+            double interfPlusNoisePowerTxW = (*itIntN);
+            double signalPowerTxW = (*itPj);
+            rssiSum += (2 * (interfPlusNoisePowerTxW + signalPowerTxW));
+        }
+        rssiSum *= (180000.0 / 12.0);
+
+        NS_ASSERT(rbNum == (*itPss).nRB);
+        double rsrq_dB = 10 * log10((*itPss).pssPsdSum / rssiSum);
+
+        if (rsrq_dB > m_pssReceptionThreshold)
+        {
+            NS_LOG_INFO(this << " PSS RNTI " << m_rnti << " cellId " << m_cellId << " has RSRQ "
+                             << rsrq_dB << " and RBnum " << rbNum);
+            // store measurements
+            auto itMeasMap = m_ueMeasurementsMap.find((*itPss).cellId);
+            if (itMeasMap != m_ueMeasurementsMap.end())
             {
-                rbNum++;
-                // convert PSD [W/Hz] to linear power [W] for the single RE
-                double interfPlusNoisePowerTxW = (*itIntN);
-                double signalPowerTxW = (*itPj);
-                rssiSum += (2 * (interfPlusNoisePowerTxW + signalPowerTxW));
+                (*itMeasMap).second.rsrqSum += rsrq_dB;
+                (*itMeasMap).second.rsrqNum++;
             }
-            rssiSum *= (180000.0 / 12.0);
-
-            NS_ASSERT(rbNum == (*itPss).nRB);
-            double rsrq_dB = 10 * log10((*itPss).pssPsdSum / rssiSum);
-
-            if (rsrq_dB > m_pssReceptionThreshold)
+            else
             {
-                NS_LOG_INFO(this << " PSS RNTI " << m_rnti << " cellId " << m_cellId << " has RSRQ "
-                                 << rsrq_dB << " and RBnum " << rbNum);
-                // store measurements
-                auto itMeasMap = m_ueMeasurementsMap.find((*itPss).cellId);
-                if (itMeasMap != m_ueMeasurementsMap.end())
-                {
-                    (*itMeasMap).second.rsrqSum += rsrq_dB;
-                    (*itMeasMap).second.rsrqNum++;
-                }
-                else
-                {
-                    NS_LOG_WARN("race condition of bug 2091 occurred");
-                }
+                NS_LOG_WARN("race condition of bug 2091 occurred");
             }
+        }
 
-            itPss++;
-
-        } // end of while (itPss != m_pssList.end ())
+        itPss++;
 
-        m_pssList.clear();
+    } // end of while (itPss != m_pssList.end ())
 
-    } // end of if (m_pssReceived)
+    m_pssList.clear();
 
 } // end of void LteUePhy::GenerateCtrlCqiReport (const SpectrumValue& sinr)
 
@@ -1322,6 +1307,7 @@
     NS_ASSERT(m_cellId > 0);
     // set the current tx power spectral density (full bandwidth)
     std::vector<int> dlRb;
+    dlRb.reserve(m_ulBandwidth);
     for (uint16_t i = 0; i < m_ulBandwidth; i++)
     {
         dlRb.push_back(i);
@@ -1754,9 +1740,24 @@
     NS_LOG_FUNCTION(this << newState);
     State oldState = m_state;
     m_state = newState;
-    NS_LOG_INFO(this << " cellId=" << m_cellId << " rnti=" << m_rnti << " UePhy "
-                     << ToString(oldState) << " --> " << ToString(newState));
+    NS_LOG_INFO(this << " cellId=" << m_cellId << " rnti=" << m_rnti << " UePhy " << oldState
+                     << " --> " << newState);
     m_stateTransitionTrace(m_cellId, m_rnti, oldState, newState);
 }
 
+std::ostream&
+operator<<(std::ostream& os, LteUePhy::State state)
+{
+    switch (state)
+    {
+    case LteUePhy::State::CELL_SEARCH:
+        return os << "CELL_SEARCH";
+    case LteUePhy::State::SYNCHRONIZED:
+        return os << "SYNCHRONIZED";
+    case LteUePhy::State::NUM_STATES:
+        return os << "NUM_STATES";
+    };
+    return os << "UNKNOWN(" << static_cast<uint32_t>(state) << ")";
+}
+
 } // namespace ns3
